<!doctype html public "-//W3C//DTD HTML 4.0//EN">
<html>
<head>
  <title>Chargement des donnes CSV</title>
</head>
<body>
<?php
require_once("php_inc/init.inc.php");
require_once("php_inc/biblio_inc.php");
require_once("php_inc/MiseEnPage.inc.php");

echo '<br><br>';
$map = MiseEnPage::haut( $title_page , $meta_description_content , $rep ) ;


echo '<h1>Gestion de la base de donnes</h1>';



// ------------------
// Etape 2
// ------------------
if ($_POST["step"]=="2")
{
	//-----------
	//On vrifie que le fichier envoye est un fichier CSV
	//-----------
  if ( substr($_FILES["file"]["name"],-3,3)=="csv" )
	{
	  $upload_folder="upload";
	
		echo '<h3>Etape 2 - vrification des donnes</h3>
		<form method="post" action="read_csv.php">
		<input type="hidden" name="step" value="3">
		<input type="hidden" name="table" value="'.$_POST[table].'">
		';

    $filename = $_FILES["file"]["name"];
    echo "Upload: " . $_FILES["file"]["name"] . "<br />";
    echo "Type: " . $_FILES["file"]["type"] . "<br />";
    echo "Size: " . ($_FILES["file"]["size"] / 1024) . " Kb<br />";
    echo "Temp file: " . $filename . "<br />";

    if (file_exists("upload/" . $filename))
    {
			// append a digit to the beginning of the name
		  $tmpVar = 1;
		  while(file_exists($upload_folder ."/" . $tmpVar . "-" . $filename)) {
			// and keep increasing it until we have a unique name
		    $tmpVar++;
		    }
		  $filename= $tmpVar . '-' . $filename;
	  }

    move_uploaded_file($_FILES["file"]["tmp_name"], $upload_folder."/".$filename);
    echo "Fichier charg : " . $upload_folder."/".$filename;

		//Seulement la previsualisation des informations avant confirmation
		read_csv($upload_folder."/".$filename,$_POST["table"],"ADD",true);

		echo '
		<input type="hidden" name="filepath" value="'.$upload_folder.'/'.$filename.'">
		<select name="mode">
		  <option value="ADD">Ajouter ces lignes  la table</option>
		  <option value="REPLACE">Remplacer le contenu de la table</option>
		</select>
		<input type="submit" value="Suivant">
		</form>';
		
	}
	
	//--------------
	//Si le fichier n'est pas un fichier CSV on redirige l'utilisateur a l'etape 1
	//--------------
	else
	{
	  echo "Erreur : le fichier que vous avez envoye n'est pas au format CSV.<br />Type : ". $_FILES["file"]["type"] ."<br />";
		echo "<a href='read_csv.php'>Retourner  l'tape 1</a>";
	}
	
	
}

// ------------------
// Etape 3
// ------------------
elseif ($_POST["step"]=="3")
{
	echo '<h3>Etape 3 - criture dans la base de donnes</h3>';
	read_csv($_POST["filepath"],$_POST["table"],$_POST["mode"],false); 
	echo '<br><br>';
		echo '<h3>Etape 4 - Traitement des caract&egrave;res sp&eacute;ciaux dans les champs de la table  </h3>';
if ($_POST[table] == "articles") 
		{
		echo 'table ARTICLES <br />' ;
		remplacer_caracteres_dans_colonne("articles","titre",array("'","\"","&rsquo;")," ");
		remplacer_caracteres_dans_colonne("articles","url",array("'","\"","&rsquo;"),"");
		remplacer_accents_dans_colonne("articles","url") ; // virer accent  , &eacute; etc. de la colonne URL fournie par pl de la formation
		remplacer_caracteres_dans_colonne("articles","chapeau",array("'","\"","&rsquo;")," ");
		remplacer_caracteres_dans_colonne("articles","texte",array("'","\"","&rsquo;")," ");
		remplacer_caracteres_dans_colonne("articles","title",array("'","\"","&rsquo;")," ");
		remplacer_caracteres_dans_colonne("articles","description",array("'","\"","&rsquo;")," ");
		remplacer_chaine_dans_colonne("articles","texte","<p>", " ") ;   // plante affichage conteneur les p et /p Donc on les vire
		remplacer_chaine_dans_colonne("articles","texte","</p>", " ") ;
				
		echo 'Etape 4 - Traitement caracteres sp&eacute;ciaux fini';
		}
		else echo 'Pas de table Articles <br /><br />' ;
}


// ------------------
// Etape 1
// ------------------
else {
	echo '<h3>Etape 1 - envoi du fichier CSV</h3>
	<form method="post" action="read_csv.php" enctype="multipart/form-data">
	<input type="hidden" name="step" value="2">
	Table  mettre  jour :
	<select name="table">
	  <option value="articles">articles</option>
	  <option value="contributeur">contributeur</option>
	  <option value="region">region</option>
	  <option value="rubrique">rubrique</option>
	  <option value="article_rubrique">article_rubrique</option>
	  <option value="article_image">article_image</option>
	  <option value="image">image</option>
	  <option value="gites2008">gites2008</option>
	</select>
	<br>
	Fichier CSV  charger :
	<input name="file" type="file">
	<br>
	<br>
	<input type="submit" value="Suivant">
	</form>';

}

echo '<br><br>';
$map = MiseEnPage::bas() ;

?>
</body>
</html>
